<template>
  <div class="container">
    <dm-layout projectName="integral-mall">
      <router-view />
    </dm-layout>
  </div>
</template>
<script>
import request from '@/service/request.js';
export default {
  components: {},
  data () {
    return {};
  },
  computed: {},
  mounted () {
    this.getRuleMemberFilterClose();
  },
  methods: {
    // 检测是否 关闭人群筛选器
    getRuleMemberFilterClose () {
      request.get('/api-integral-mall/get-config').then(res => {
        const result = res.data.result || {};
        this.$store.commit('mutations_ruleMemberFilterClose', result.ruleMemberFilterClose);
      });
    },

  },

};
</script>
<style scoped>
.container {
  height: 100%;
  display: flex;
}
